org.apache.ignite.internal.pagemem.wal.record.delta

## Class PagesListSetPreviousRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.PagesListSetPreviousRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class PagesListSetPreviousRecord
    extends PageDeltaRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`PagesListSetPreviousRecord(int grpId, long pageId, long prevPageId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `previousPageId()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PagesListSetPreviousRecord

    public PagesListSetPreviousRecord(int grpId,
                                      long pageId,
                                      long prevPageId)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `prevPageId` - Previous page ID.

### Method Detail

#### previousPageId

    public long previousPageId()

Returns:
  Previous page ID.

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018